<?php add_thickbox(); ?>

<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">
    
    
    <div id="icon-themes" class="icon32"></div>
    
    <h2 class="dtitle">Available Articles</h2>
    <a class="authlink thickbox" href="#TB_inline?width=200&height=200&inlineId=author-modal-form"></a>
                                
    <div class="table-wrapper">
   
       <!-- Available Articles -->   
       <div id="table-container">
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <!--<th width="80">Status</th>-->
                        <th width="80">Author</th>
                        <th width="80">Word Count</th>
                        <th width="50" style="text-align:center; width:50px;">Status/Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($available_articles) > 0):?>

                        <?php foreach($available_articles as $key => $obj_article):?>
                            <tr <?php echo (isset($obj_article->arc_id) && !empty($obj_article->arc_id)) ? 'class="requested-changes"' : null;?>>
                                <td width="30%"><?php echo ($obj_article->pokedate != null || $obj_article->content_requests_id != null ) ? '<div class="poke"  title="'.$obj_article->first_name.' poked you."></div> '  : ''?><?php echo $obj_article->title;?></td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <!--<td width="80">
                                </td>-->
                                <td width="80">
                                <a class="author" id="<?php echo $obj_article->id;?>" rel="<?php echo md5($obj_article->gravatar_email); ?>" href="javascript:;"><?php echo $obj_article->first_name;?></a></td>
                                <td width="80"><?php echo str_word_count(strip_tags($obj_article->article)); ?></td>
                                <td width="50" style="text-align:center;">
                                    <?php if ($obj_article->approval == 'Yes' && isset($obj_article->status) && $obj_article->status == 0 ) { ?>
                                           Awaiting Writer Approval       
                                    <?php } else { ?>
                                      <a id="<?php echo $obj_article->id;?>" rel="<?php echo $obj_article->title; ?>" href="javascript:;" class="request_approval_link">Preview</a>
                                      <a href="#TB_inline?width=400&height=350&inlineId=requestforapproval-modal-form" class="thickbox link_request_approval"></a>
                                      <input type="hidden" class="author_id" id="<?php echo 'articleauthor_' .$obj_article->id; ?>" value="<?php echo $obj_article->user_id; ?>">
                                      
                                    <?php } ?> 
                                </td>
                            </tr>
                          
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        <!-- END Available Articles -->
        
    </div>                
    
    
    
</div><!-- .wrap -->


<?php /* FORM for importing options*/?>


<div id="author-modal-form" style="display:none" >
  <div class="authinfo">
  </div>
</div> 

<div id="requestforapproval-modal-form" style="display:none" >
  <h2><div id="icon-edit-pages" class="icon32"></div>Request Approval</h2>
  <form method="post">  
      <div  class="metabox-holder">
    
                <div id="dashboard_right_now" class="postbox">
    
                    <h3>Article Title</h3>
    
                    <div class="inside">
    
                        <table>
                            <tr>
                                <td colspan="2">
                                <input type="hidden" name="article_request_id"  id="request_article_id">
                                <input type="hidden" name="article_request_author_id"  id="article_request_author_id">
                                <input type="text" name="article_request_title" style="width: 500px; padding:10px;" id="request_article_title" disabled></td>
                            </tr>
                        </table>
    
    
                    </div>
    
                </div><!-- .postbox -->
    
      </div><!-- .metabox-holder -->
      <br/>
      <div  class="metabox-holder">
    
            <div id="dashboard_right_now" class="postbox">

                <h3>Remarks</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td colspan="2"><textarea name="request_remarks" style="width: 500px; padding:10px;" id="request_remarks"></textarea></td>
                        </tr>
                    </table>

                </div>

            </div><!-- .postbox -->

      </div><!-- .metabox-holder -->
      
       <br>

        <div style="text-align:right;">

            <input class="button-primary" type="submit" name="request_approval" id="request_approval" value="Send Request">

        </div>



  </form>
</div>



<script>

jQuery(document).ready(function($){

$('.request_approval_link').click(function(){
   $('#request_article_title').val($(this).attr('rel'));
   $('#request_article_id').val($(this).attr('id'))
   $('#article_request_author_id').val($('#articleauthor_'+$(this).attr('id')).val());
   $('.link_request_approval').trigger('click');
}); 


$('.author').click(function(){
    var myid = $(this).attr('id');
    var gravatar = $(this).attr('rel');
    var googleplus_url = 'https://plus.google.com';
    var twitter_url = 'http://twitter.com';
    var facebook_url = 'http://facebook.com';
    
    
    var json = [ <?php echo json_encode($available_articles); ?> ];
    $.each(json, function() {
    $.each(this, function(name, value) {
      /// do stuff
     // console.log(name + '=' + value.first_name); 
      if (value.id == myid) {
        if(value.google_plus){
          googleplus_url = 'http://'+  value.google_plus; 
        } 
    
        if(value.twitter){
          twitter_url = 'http://'+  value.twitter; 
        } 
        
        if(value.facebook){
          facebook_url = 'http://'+ value.facebook; 
        } 
        
        if(value.bio){
          bio = value.bio;
        } else {
          bio = value.default_bio;
        }
        
        var htmlc = '<h2>' + value.first_name + ' ' +  value.last_name + '</h2>';
        htmlc += '<div id="auth-info-content"><img src="http://www.gravatar.com/avatar/'+ gravatar +'"  />';  
        htmlc += '<div class="auth-info-right"><div class="info-right"><strong>About</strong><div class="info-right-val">'+ value.about +'</div></div><div class="info-right"><strong>Author Bio</strong><div class="info-right-val authorbio">'+ bio +'</div></div></div>';
        htmlc += '</div><div id="social" style="clear: both; float: right;"><div style="float: left; margin-right: 10px;">More at</div></span><a target="_blank" href="'+facebook_url+'" class="soc-button"><span class="fb"></span></a><a target="_blank" href=" '+twitter_url+'" class="soc-button"><span class="twit"></span></a><a target="_blank" href="'+googleplus_url+'" class="soc-button"><span class="gplus"></span></a></div>';
       
        $('#author-modal-form .authinfo').html(htmlc);
        $('.authlink').trigger('click');
                            
      }
      });
    });
 
});

});

    
</script>