<?php add_thickbox(); ?>

<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">
    
    <div id="icon-themes" class="icon32"></div>
    
    <h2>Published Articles</h2>
    <a class="authlink thickbox" href="#TB_inline?width=200&height=230&inlineId=author-modal-form"></a>
                                
    <div class="table-wrapper">

        <div id="table-container">
            
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <th width="80">Permission</th>
                        <th width="80">Author</th>
                        <th width="80">Word Count</th>
                        <th width="50" style="text-align:center; width:50px;">Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($published_articles) > 0):?>

                        <?php foreach($published_articles as $key => $obj_article):?>
                            <tr>
                                <td width="30%"><?php echo $obj_article->title;?></td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <td width="80"><?php echo $obj_article->permission;?></td>  
                                <td width="80"> <a class="author" id="<?php echo $obj_article->id;?>" rel="<?php echo md5($obj_article->gravatar_email); ?>" href="javascript:;"><?php echo $obj_article->first_name;?></a></td>
                                <td width="80"><?php echo str_word_count(strip_tags($obj_article->article)); ?></td>
                                <td width="120" style="text-align:center;">
                                    <a href="<?php echo $obj_article->view_link;?>" target="_blank">View </a> |
                                    <a href="<?php echo $obj_article->edit_link;?>">Edit</a>
                                </td>
                            </tr>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        
    </div>
    
    
    
</div><!-- .wrap -->


<div id="author-modal-form" style="display:none" >
  <div class="authinfo">
  </div>
</div> 

<script>

jQuery(document).ready(function($){

$('.author').click(function(){
    var myid = $(this).attr('id');
    var gravatar = $(this).attr('rel');
    var googleplus_url = 'https://plus.google.com';
    var twitter_url = 'http://twitter.com';
    var facebook_url = 'http://facebook.com';
    var writesabout='';
    
    var json = [ <?php echo json_encode($published_articles); ?> ];
    $.each(json, function() {
    $.each(this, function(name, value) {
      /// do stuff
     // console.log(name + '=' + value.first_name); 
      if (value.id == myid) {
        if(value.google_plus){
          googleplus_url = 'http://'+  value.google_plus; 
        } 
    
        if(value.twitter){
          twitter_url = 'http://'+  value.twitter; 
        } 
        
        if(value.facebook){
          facebook_url = 'http://'+ value.facebook; 
        } 
        
        if(value.bio){
          bio = value.bio;
        } else {
          bio = value.default_bio;
        }
        
       if(value.writesabout){
          writesabout = value.writesabout;
        }                 
        
        var htmlc = '<h2>' + value.first_name + ' ' +  value.last_name + '</h2>';
        htmlc += '<div id="auth-info-content"><img src="http://www.gravatar.com/avatar/'+ gravatar +'"  />';  
        htmlc += '<div class="auth-info-right"><div class="info-right"><strong>About</strong><div class="info-right-val">'+ value.about +'</div></div><div class="info-right"><strong>Writes About</strong><div class="info-right-val">'+ writesabout +'</div></div><div class="info-right"><strong>Author Bio</strong><div class="info-right-val authorbio">'+ bio +'</div></div></div>';
        htmlc += '</div><div id="social" style="clear: both; float: right;"><div style="float: left; margin-right: 10px;">More at</div></span><a target="_blank" href="'+facebook_url+'" class="soc-button"><span class="fb"></span></a><a target="_blank" href=" '+twitter_url+'" class="soc-button"><span class="twit"></span></a><a target="_blank" href="'+googleplus_url+'" class="soc-button"><span class="gplus"></span></a></div>';
       
        $('#author-modal-form .authinfo').html(htmlc);
        $('.authlink').trigger('click');
                            
      }
      });
    });
 
});

});

    
</script>