<?php add_thickbox(); ?>

<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">
    
    <div id="icon-themes" class="icon32"></div>
    
    <h2>Available Articles</h2>

    <div class="table-wrapper">

        <div class="well well-small">

        <a class="button thickbox" href="#TB_inline?width=600&height=600&inlineId=import-modal-form">Search</a>

        </div>
        
        <div id="table-container">
            
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <!--<th width="80">Status</th>-->
                        <th width="80">Writer</th>
                        <th width="80">Word Count</th>
                        <th width="50" style="text-align:center; width:50px;">Status/Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($articles) > 0):?>

                        <?php foreach($articles as $key => $obj_article):?>
                            <tr <?php echo (isset($obj_article->arc_id) && !empty($obj_article->arc_id)) ? 'class="requested-changes"' : null;?>>
                                <td width="30%"><?php echo ($obj_article->pokedate != null) ? '<div class="poke"  title="'.$obj_article->first_name.' poked you."></div> '  : ''?><?php echo $obj_article->title;?></td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <!--<td width="80">-->
                                    <?php if(isset($obj_article->arc_id) && !empty($obj_article->arc_id)){?>
                                        
                                        <?php //echo ($obj_article->arc_status == 10) ? 'Pending' : 'Processed';?>
                                    
                                    <?php }else{?>
                                            <?php if ($obj_article->approval == 'Yes' && isset($obj_article->status) && $obj_article->status == 0 ) $articlestatus = 'Pending'; ?>
                                            <?php if ($obj_article->approval == 'Yes' && $obj_article->status == 1) $articlestatus = 'Approved'; ?>
                                            <?php if ($obj_article->approval == 'Yes' && $obj_article->status == 2) $articlestatus = 'Declined'; ?>
            
                                            <?php if ($obj_article->approval == 'Yes' && $obj_article->status == null) $articlestatus = 'For Approval'; ?>
                                            <?php if ($obj_article->approval == 'No') $articlestatus = 'Approved'; ?>
                                    <?php }?>
                                <!--</td>-->
                                <td width="80">
                                <a class="authlink thickbox" href="#TB_inline?width=200&height=230&inlineId=author-modal-form"></a>
                                <a class="author" id="<?php echo $obj_article->id;?>" rel="<?php echo md5($obj_article->gravatar_email); ?>" href="javascript:;"><?php echo $obj_article->first_name;?></a></td>
                                <td width="80"><?php echo str_word_count(strip_tags($obj_article->article)); ?></td>
                                <td width="50" style="text-align:center;">
                                    
                                    <?php if(isset($obj_article->arc_id) && !empty($obj_article->arc_id)){?>
                                    
                                        <?php if($obj_article->arc_status == 10){?>
                                            Changes Requested
                                        <?php }else{?>
                                            <a href="admin.php?page=free-writer&act=arc&article_id=<?php echo $obj_article->id;?>&arc_id=<?php echo $obj_article->arc_id;?>&TB_iframe=true&width=980&height=620" class="thickbox">Preview</a>
                                        <?php }?>
                                    
                                    <?php }else{?>
                                            
                                        <?php if ($articlestatus == 'Approved') { ?>
                                          <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_article->id;?>&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                        <?php } else if ($articlestatus == 'Pending') { ?>
                                          <!--<a id="<?php echo $obj_article->id;?>" rel="<?php echo $obj_article->title; ?>" href="javascript:;" class="request_approval_link">Resend Request</a>-->
                                          Awaiting Writer Approval
                                          <a href="#TB_inline?width=400&height=350&inlineId=requestforapproval-modal-form" class="thickbox link_request_approval"></a>
                                          <input type="hidden" class="author_id" id="<?php echo 'articleauthor_' .$obj_article->id; ?>" value="<?php echo $obj_article->user_id; ?>">
                                        <?php } else if ($articlestatus == 'For Approval') { ?>
                                          <a href="admin.php?page=free-writer&act=iframeforapproval&redirect=free-writer-articles-list&article_id=<?php echo $obj_article->id;?>&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>                                   
                                          <!--<a id="<?php echo $obj_article->id;?>" rel="<?php echo $obj_article->title; ?>" href="javascript:;" class="request_approval_link">Request Approval</a>-->
                                          <a href="#TB_inline?width=400&height=350&inlineId=requestforapproval-modal-form" class="thickbox link_request_approval"></a>
                                          <input type="hidden" class="author_id" id="<?php echo 'articleauthor_' .$obj_article->id; ?>" value="<?php echo $obj_article->user_id; ?>">
                                        <?php }  else if ($articlestatus == 'Declined') { ?>
                                             Declined
                                        <?php } ?>
                                          
                                    <?php }?>
                                    

                                </td>
                            </tr>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        
    </div>
    
    
    
</div><!-- .wrap -->


<?php /* FORM for importing options*/?>


<?php /* FORM for searching options*/?>
<div id="import-modal-form" style="display:none;">

    <h2><div id="icon-edit-pages" class="icon32"></div>Search Options</h2>

    <form method="post" action="admin.php?page=free-writer-search">

        <br>
        
        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3><input type="radio" name="search_by" value="tags" checked="checked"> Search by Tags</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td colspan="2"><input type="text" name="tags" style="width: 250px; padding:10px;" id="tags" placeholder="Search Tags"><em> comma separated</em></td>
                        </tr>
                    </table>

                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3><input type="radio" name="search_by" value="title"> Search by Title</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td colspan="2"><input type="text" name="title" style="width: 500px; padding:10px;" id="title" placeholder="Title contains this keyword">
                                <br>
                                <em>*will match Articles with title containing this keyword </em>
                            </td>
                        </tr>
                    </table>


                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3><input type="radio" name="search_by" value="category"> Search by Category</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td colspan="2">
                                
                                <select name="category" id="category">
                                    
                                    <?php echo htmlOptions($api_categories, null);?>
                                    
                                </select>
                                
                            </td>
                        </tr>
                    </table>


                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3><input type="radio" name="search_by" value="word_lenght_or_most_published_authors"> Search by Word Length or Most Published Author</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td colspan="2"><input type="text" name="word_lenght" id="word_lenght" style="width: 500px; padding:10px;" id="title" placeholder="Word Length"></td>
                        </tr>
                        <tr>
                            <td colspan="2"><input type="checkbox" name="title" id="title"> Display Articles by Most Published Author</td>
                        </tr>
                    </table>

                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div style="text-align:right;">

            <input class="button-primary" type="submit" name="search_article" id="search_article" value="Search Posts">

        </div>

    </form>

</div>

<div id="author-modal-form" style="display:none" >
  <div class="authinfo">
  </div>
</div> 

<div id="requestforapproval-modal-form" style="display:none" >
  <h2><div id="icon-edit-pages" class="icon32"></div>Request Approval</h2>
  <form method="post">  
      <div  class="metabox-holder">
    
                <div id="dashboard_right_now" class="postbox">
    
                    <h3>Article Title</h3>
    
                    <div class="inside">
    
                        <table>
                            <tr>
                                <td colspan="2">
                                <input type="hidden" name="article_request_id"  id="request_article_id">
                                <input type="hidden" name="article_request_author_id"  id="article_request_author_id">
                                <input type="text" name="article_request_title" style="width: 500px; padding:10px;" id="request_article_title" disabled></td>
                            </tr>
                        </table>
    
    
                    </div>
    
                </div><!-- .postbox -->
    
      </div><!-- .metabox-holder -->
      <br/>
      <div  class="metabox-holder">
    
            <div id="dashboard_right_now" class="postbox">

                <h3>Remarks</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td colspan="2"><textarea name="request_remarks" style="width: 500px; padding:10px;" id="request_remarks"></textarea></td>
                        </tr>
                    </table>

                </div>

            </div><!-- .postbox -->

      </div><!-- .metabox-holder -->
      
       <br>

        <div style="text-align:right;">

            <input class="button-primary" type="submit" name="request_approval" id="request_approval" value="Send Request">

        </div>



  </form>
</div>



<script>

jQuery(document).ready(function($){

$('.request_approval_link').click(function(){
   $('#request_article_title').val($(this).attr('rel'));
   $('#request_article_id').val($(this).attr('id'))
   $('#article_request_author_id').val($('#articleauthor_'+$(this).attr('id')).val());
   $('.link_request_approval').trigger('click');
}); 


$('.author').click(function(){
    var myid = $(this).attr('id');
    var gravatar = $(this).attr('rel');
    var googleplus_url = 'https://plus.google.com';
    var twitter_url = 'http://twitter.com';
    var facebook_url = 'http://facebook.com';
    var writesabout='';
    
    var json = [ <?php echo json_encode($articles); ?> ];
    $.each(json, function() {
    $.each(this, function(name, value) {
      /// do stuff
     // console.log(name + '=' + value.first_name); 
      if (value.id == myid) {
        if(value.google_plus){
          googleplus_url = 'http://'+  value.google_plus; 
        } 
    
        if(value.twitter){
          twitter_url = 'http://'+  value.twitter; 
        } 
        
        if(value.facebook){
          facebook_url = 'http://'+ value.facebook; 
        } 
        
        if(value.bio){
          bio = value.bio;
        } else {
          bio = value.default_bio;
        }  
        
        if(value.writesabout){
          writesabout = value.writesabout;
        }                 
        
        var htmlc = '<h2>' + value.first_name + ' ' +  value.last_name + '</h2>';
        htmlc += '<div id="auth-info-content"><img src="http://www.gravatar.com/avatar/'+ gravatar +'"  />';  
        htmlc += '<div class="auth-info-right"><div class="info-right"><strong>About</strong><div class="info-right-val">'+ value.about +'</div></div><div class="info-right"><strong>Writes About</strong><div class="info-right-val">'+ writesabout +'</div></div><div class="info-right"><strong>Author Bio</strong><div class="info-right-val authorbio">'+ bio +'</div></div></div>';
        htmlc += '</div><div id="social" style="clear: both; float: right;"><div style="float: left; margin-right: 10px;">More at</div></span><a target="_blank" href="'+facebook_url+'" class="soc-button"><span class="fb"></span></a><a target="_blank" href=" '+twitter_url+'" class="soc-button"><span class="twit"></span></a><a target="_blank" href="'+googleplus_url+'" class="soc-button"><span class="gplus"></span></a></div>';
       
        $('#author-modal-form .authinfo').html(htmlc);
        $('.authlink').trigger('click');
                            
      }
      });
    });
 
});

});

    
</script>