<?php add_thickbox(); ?>
<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">
<div class="wrap">
    
    <div id="icon-themes" class="icon32"></div>
    
    <h2>View and Import Article</h2>

    <div class="table-wrapper" style="width:960px;">
        

        <div class="well">
            <a class="button-primary thickbox" href="#TB_inline?width=600&height=525&inlineId=import-modal-form">Import this Post</a>
            <input class="button" type="submit" name="request_changes" value="Request Changes">
        </div>


        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3>Title</h3>

                <div class="inside">
                   <strong class="article-detail"><?php echo $article->title;?></strong>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3>Category & Tags</h3>

                <div class="inside">
                    <table>
                        <tr>
                            <td>Category:</td>
                            <td> <strong class="article-detail"><?php echo $article->category_name;?></strong></td>
                        </tr>
                        <tr>
                            <td>Tags:</td>
                            <td><strong class="article-detail"><?php echo implode(', ', explode("\n", $article->tags));?></strong></td>
                        </tr>
                    </table>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3>Content Preview</h3>

                <div class="inside">
                    <img src="<?php echo $article_preview; ?>">
                    <?php //echo $article->article;?>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <div class="well">
            <a class="button-primary thickbox" href="#TB_inline?width=600&height=525&inlineId=import-modal-form">Import this Post</a>
            <input class="button" type="submit" name="request_changes" value="Request Changes">
        </div>

    </div>

    
</div><!-- .wrap -->



<?php /* FORM for importing options*/?>
<div id="import-modal-form" style="display:none;">
    
    <h2><div id="icon-options-general" class="icon32"></div>Importing Options</h2>
    
    <form method="post">
        
        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3>Title</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td><input type="radio" name="auto_import_title" value="1" checked="checked"></td>
                            <td>Use this title: <strong><?php echo $article->title;?></strong></td>
                        </tr>
                        <tr>
                            <td><input type="radio" name="auto_import_title" value="0"></td>
                            <td><input type="text" id="new_title" name="new_title"  style="width: 250px; padding:10px;" placeholder="Use a custom title"></td>
                        </tr>
                    </table>

                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <Br>
        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3>Tags</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td><input type="checkbox" id=""name="auto_import_tags" value="1" checked="checked"></td>
                            <td>Import these tags: <strong><?php echo implode(', ', explode("\n", $article->tags));?></strong></td>
                        </tr>
                        <tr>
                            <td colspan="2"><input type="text" name="additional_tags" style="width: 250px; padding:10px;" id="additional_tags" placeholder="Additional Tags"><em>comma separated</em></td>
                        </tr>
                    </table>


                </div>

            </div><!-- .postbox -->


        </div><!-- .metabox-holder -->

        <Br>
        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox">

                <h3>Categories</h3>

                <div class="inside">

                    <table width="100%">

                        <?php for($a = 0; $a <= count($categories); $a+=3):?>

                            <tr>
                                <?php for($column = 0; $column <=2; $column++):?>

                                    <?php $category = $categories[$a+$column];?>
                                        <?php if(!empty($category)):?>
                                            <td><input type="checkbox" name="categories[]" value="<?php echo $category['term_id'];?>"><?php echo $category['name'];?></td>
                                        <?php endif;?>

                                <?php endfor;?>

                            </tr>

                        <?php endfor;?>

                    </table>

                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->
        
        <br>
        
        <div style="text-align:right;">
            
            <input type="hidden" name="article_id" value="<?php echo $_GET['article_id'];?>">
            
            <input class="button-primary" type="submit" name="import_post" value="Import this Post">
            
        </div>
        
    </form>
    
</div>