<?php add_thickbox(); ?>

<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">
    
    
    <div id="icon-themes" class="icon32"></div>
    
    <h2 class="dtitle">Articles ready to post</h2>
    <div class="table-wrapper">
   
       <!-- Articles to Import -->   
       <div id="table-container">
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <!--<th width="80">Status</th>-->
                        <th width="80">Writer</th>
                        <th width="80">Word Count</th>
                        <th width="50" style="text-align:center; width:50px;">Status/Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($articles) > 0):?>

                        <?php foreach($articles as $key => $obj_article):?>
                          
                            <tr <?php echo (isset($obj_article->arc_id) && !empty($obj_article->arc_id)) ? 'class="requested-changes"' : null;?>>
                                <td width="30%">
                                <?php if ($obj_article->pokedate != null ) {                                          
                                        $days_remaining = 5 - $obj_article->poke_date_rem;
                                  ?>
                                  <div class="poke"  title="<?php echo $obj_article->first_name; ?> wrote an article for you. You have <?php echo $days_remaining; ?> days to post this."></div> 
                                  <?php } ?>             
                                  <?php if ($obj_article->content_requests_id != null ) { 
                                        $days_remaining = 5 - $obj_article->content_requests_date_rem;
                                  ?>
                                  <div class="poke"  title="<?php echo $obj_article->first_name; ?> wrote the article you wanted. You have <?php echo $days_remaining; ?> days to post this."></div> 
                                  <?php } ?>   
                                  <?php if ($obj_article->status == 1 ) { 
                                        $days_remaining = 5 - $obj_article->date_approved_rem;
                                  ?>    
                                  <div class="poke"  title="The article you requested from <?php echo $obj_article->first_name; ?> has been approved . You have <?php echo $days_remaining; ?> days to post this."></div> 
                                  <?php } ?>        
                                <?php echo $obj_article->title;?></td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <!--<td width="80">
                                <?php echo ($obj_article->pokedate != null) ? 'Pre-Approved'  : ''?>
                                </td>-->
                                <td width="80">
                                <a class="authlink thickbox" href="#TB_inline?width=200&height=230&inlineId=author-modal-form"></a>
                                <a class="author" id="<?php echo $obj_article->id;?>" rel="<?php echo md5($obj_article->gravatar_email); ?>" href="javascript:;"><?php echo $obj_article->first_name;?></a></td>
                                <td width="80"><?php echo str_word_count(strip_tags($obj_article->article)); ?></td>
                                <td width="50" style="text-align:center;">
                                    
                                    <?php if(isset($obj_article->arc_id) && !empty($obj_article->arc_id)){?>
                                    
                                        <?php if($obj_article->arc_status == 10){?>
                                            Changes Requested
                                        <?php }else{?>
                                            <a href="admin.php?page=free-writer&act=arc&article_id=<?php echo $obj_article->id;?>&arc_id=<?php echo $obj_article->arc_id;?>&TB_iframe=true&width=980&height=620" class="thickbox">Preview</a>
                                        <?php }?>
                                    <?php }else if($obj_article->poke_id != null) { ?>
                                           <?php if($obj_article->poke_status == 0){ ?>
                                                <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_article->id;?>&id=<?php echo $obj_article->poke_id; ?>&type=poke&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                           <?php } else if($obj_article->poke_status == 2){ ?>
                                                 Declined
                                           <?php } ?>
                                    <?php }else if($obj_article->content_requests_id != null) { ?>      
                                           <?php if($obj_article->content_requests_status  == 20){ ?>
                                                <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_article->id;?>&id=<?php echo $obj_article->content_requests_id; ?>&type=content_requests&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                           <?php } else if($obj_article->content_requests_status == 30){ ?>
                                                 Declined
                                           <?php } ?>
                                           
                                    <?php } else { ?>
                                      <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_article->id;?>&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                    <?php }?>
                                    

                                </td>
                            </tr>
                          
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        <!-- END Articles to Import -->
        
    </div>                
    
    
    
</div><!-- .wrap -->


<?php /* FORM for importing options*/?>


<div id="author-modal-form" style="display:none" >
  <div class="authinfo">
  </div>
</div> 

<div id="requestforapproval-modal-form" style="display:none" >
  <h2><div id="icon-edit-pages" class="icon32"></div>Request Approval</h2>
  <form method="post">  
      <div  class="metabox-holder">
    
                <div id="dashboard_right_now" class="postbox">
    
                    <h3>Article Title</h3>
    
                    <div class="inside">
    
                        <table>
                            <tr>
                                <td colspan="2">
                                <input type="hidden" name="article_request_id"  id="request_article_id">
                                <input type="hidden" name="article_request_author_id"  id="article_request_author_id">
                                <input type="text" name="article_request_title" style="width: 500px; padding:10px;" id="request_article_title" disabled></td>
                            </tr>
                        </table>
    
    
                    </div>
    
                </div><!-- .postbox -->
    
      </div><!-- .metabox-holder -->
      <br/>
      <div  class="metabox-holder">
    
            <div id="dashboard_right_now" class="postbox">

                <h3>Remarks</h3>

                <div class="inside">

                    <table>
                        <tr>
                            <td colspan="2"><textarea name="request_remarks" style="width: 500px; padding:10px;" id="request_remarks"></textarea></td>
                        </tr>
                    </table>

                </div>

            </div><!-- .postbox -->

      </div><!-- .metabox-holder -->
      
       <br>

        <div style="text-align:right;">

            <input class="button-primary" type="submit" name="request_approval" id="request_approval" value="Send Request">

        </div>



  </form>
</div>



<script>

jQuery(document).ready(function($){

$('.request_approval_link').click(function(){
   $('#request_article_title').val($(this).attr('rel'));
   $('#request_article_id').val($(this).attr('id'))
   $('#article_request_author_id').val($('#articleauthor_'+$(this).attr('id')).val());
   $('.link_request_approval').trigger('click');
}); 


$('.author').click(function(){
    var myid = $(this).attr('id');
    var gravatar = $(this).attr('rel');
    var googleplus_url = 'https://plus.google.com';
    var twitter_url = 'http://twitter.com';
    var facebook_url = 'http://facebook.com';
    var writesabout='';
    
    var json = [ <?php echo json_encode($articles); ?> ];
    $.each(json, function() {
    $.each(this, function(name, value) {
      /// do stuff
     // console.log(name + '=' + value.first_name); 
      if (value.id == myid) {
        if(value.google_plus){
          googleplus_url = 'http://'+  value.google_plus; 
        } 
    
        if(value.twitter){
          twitter_url = 'http://'+  value.twitter; 
        } 
        
        if(value.facebook){
          facebook_url = 'http://'+ value.facebook; 
        } 
        
        if(value.bio){
          bio = value.bio;
        } else {
          bio = value.default_bio;
        }
        
        if(value.writesabout){
          writesabout = value.writesabout;
        } 
        
        var htmlc = '<h2>' + value.first_name + ' ' +  value.last_name + '</h2>';
        htmlc += '<div id="auth-info-content"><img src="http://www.gravatar.com/avatar/'+ gravatar +'"  />';  
        htmlc += '<div class="auth-info-right"><div class="info-right"><strong>About</strong><div class="info-right-val">'+ value.about +'</div></div><div class="info-right"><strong>Writes About</strong><div class="info-right-val">'+ writesabout +'</div></div><div class="info-right"><strong>Author Bio</strong><div class="info-right-val authorbio">'+ bio +'</div></div></div>';
        htmlc += '</div><div id="social" style="clear: both; float: right;"><div style="float: left; margin-right: 10px;">More at</div></span><a target="_blank" href="'+facebook_url+'" class="soc-button"><span class="fb"></span></a><a target="_blank" href=" '+twitter_url+'" class="soc-button"><span class="twit"></span></a><a target="_blank" href="'+googleplus_url+'" class="soc-button"><span class="gplus"></span></a></div>';
       
        $('#author-modal-form .authinfo').html(htmlc);
        $('.authlink').trigger('click');
                            
      }
      });
    });
 
});

});

    
</script>