<?php
    $status_r = array('for approval', 'approved', 'declined');

//    p($articles_for_approval);
?>
<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">

    <div id="icon-themes" class="icon32"></div>

    <h2>Article Approval</h2>

    <br><br>

    <div class="table-wrapper">

        <div id="table-container">

            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Publisher</th>
                        <th>Article Title</th>
                        <th>Website</th>
                        <th>Remarks</th>
                        <th>Status</th>
                        <th style="text-align:center; width:50px;">Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($articles_for_approval) > 0):?>

                        <?php foreach($articles_for_approval as $key => $obj_article):?>

                            <tr>
                                <td><?php echo $obj_article->username;?></td>
                                <td><?php echo $obj_article->title;?></td>
                                <td><?php echo $obj_article->site_url;?></td>
                                <td><?php echo $obj_article->remarks;?></td>
                                <td><?php echo $status_r[$obj_article->status];?></td>
                                <td width="50" style="text-align:center;">

                                    <?php if($obj_article->status == 0):?>

                                        <a href="admin.php?page=fgp-author-article-approval-process&approval_id=<?php echo $obj_article->approval_id;?>">Approve</a>

                                    <?php endif;?>

                                </td>
                            </tr>
                            
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>

    </div>



</div><!-- .wrap -->
