<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">

    <div id="icon-edit-comments" class="icon32"></div>

    <h2>Content Requests</h2>

    <br>

        <div id="table-container">

            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Requestor</th>
                        <th>Keywords</th>
                        <th>Date Requested</th>
                        <th>Status</th>
                        <th width="50" style="text-align:center; width:50px;">Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($content_requests) > 0):?>

                        <?php foreach($content_requests as $key => $obj_request):?>
                            <tr>
                                <td><?php echo $obj_request->title;?></td>
                                <td><?php echo $obj_request->category_name;?></td>
                                <td><?php echo $obj_request->publisher_name;?></td>
                                <td><?php echo $obj_request->keywords;?></td>
                                <td><?php echo date('m-d-Y', $obj_request->date_requested);?></td>
                                <td width="80"><?php echo $obj_request->status_code;?></td>
                                <td width="50" style="text-align:center;">
                                    <?php if($obj_request->status == 20){?>
                                        &nbsp;
                                    <?php }else{?>
                                        <a href="admin.php?page=fgp-author-content-requests-process&arc_id=<?php echo $obj_request->id;?>">Process</a>
                                    <?php }?>
                                </td>
                            </tr>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>

    </div>

</div><!-- .wrap -->


<?php /* FORM for importing options*/?>
<div id="import-modal-form" style="display:none;">

    <h2><div id="icon-edit-pages" class="icon32"></div>Request Options</h2>

    <form method="post">

        <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Post Topic / Subject</h3>

                <div class="inside">
                    <select name="category_id" id="category_id" style="width:200px;">
                      <?php echo htmlOptions($api_categories, null);?>
                    </select>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Title</h3>

                <div class="inside">
                    <input type="text" style="width:500px;" name="title" id="title"><br>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Keywords</h3>

                <div class="inside">
                    <input type="text" style="width:500px;" name="keywords" id="keywords"><br>
                    <em style="font-size:10px;">comma separated</em>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

         <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>No. of Words</h3>

                <div class="inside">
                    <input type="text" style="width:500px;" name="number_of_words" id="number_of_words"><br>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Additional Remarks</h3>

                <div class="inside">
                    <textarea  style="width: 100%;height:80px;" name="additional_remarks" id="additional_remarks"></textarea>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>

        <div style="text-align:right;">

            <input class="button-primary" type="submit" name="request_content" id="request_content" value="Request for Content">

        </div>

    </form>

</div>