<?php
    
//p($my_articles);
?>


<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">
    
    <div id="icon-themes" class="icon32"></div>
    
    <h2>View Articles</h2>
    
    <br><br>

    <div class="table-wrapper">
        
        <div id="table-container">
            
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <th width="80">Approval Required</th>
                        <th width="80">Word Count</th>
                        <th width="50" style="text-align:center; width:50px;">Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($my_articles) > 0):?>

                        <?php foreach($my_articles as $key => $obj_article):?>
                            <tr <?php echo (isset($obj_article->arc_id) && !empty($obj_article->arc_id)) ? 'class="requested-changes"' : null;?>>
                                <td width="30%"><?php echo ($obj_article->pokedate != null) ? '<div class="poke"  title="'.$obj_article->first_name.' poked you."></div> '  : ''?><?php echo $obj_article->title;?></td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <td width="80"><?php echo $obj_article->approval;?></td>
                                <td width="80"><?php echo str_word_count(strip_tags($obj_article->article)); ?></td>
                                <td width="50" style="text-align:center;">
                                  
                                    <a href="admin.php?page=fgp-author-edit-article&article_id=<?php echo $obj_article->id;?>">Edit </a>|
                                    <a href="admin.php?page=fgp-author-delete-article&article_id=<?php echo $obj_article->id;?>">Delete</a>
                                    
                                  
                                </td>
                            </tr>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        
    </div>
    
    
    
</div><!-- .wrap -->
