<?php add_thickbox(); ?>

<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">
    
    <div id="icon-index" class="icon32"></div>
    
    <h2>Dashboard</h2> 
    
    <a class="authlink thickbox" href="#TB_inline?width=200&height=230&inlineId=author-modal-form"></a>
                                   
    <div class="table-wrapper">
   
       <!-- Articles to Import -->   
       <div id="table-container">
            <h2 class="dtitle">Articles ready to post</h2>
            <div class="view-all-right"><a href="admin.php?page=free-writer-articles-to-import">View All</a></div>
            
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <!--<th width="80">Status</th>-->
                        <th width="80">Writer</th>
                        <th width="80">Word Count</th>
                        <th width="50" style="text-align:center; width:50px;">Status/Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($articles) > 0):?>
                        
                        <?php 
                        $limit = 0;
                        foreach($articles as $key => $obj_article):?>
                           <?php if( $limit++ < 5 ) { ?>
                            <tr <?php echo (isset($obj_article->arc_id) && !empty($obj_article->arc_id)) ? 'class="requested-changes"' : null;?>>
                                <td width="30%">                                
                                  <?php if ($obj_article->pokedate != null ) {                                          
                                        $days_remaining = 5 - $obj_article->pokedaterem;
                                  ?>
                                  <div class="poke"  title="<?php echo $obj_article->first_name; ?> wrote an article for you. You have <?php echo $days_remaining; ?> days to post this."></div> 
                                  <?php } ?>             
                                  <?php if ($obj_article->content_requests_id != null ) { 
                                        $days_remaining = 5 - $obj_article->content_requests_date_rem;
                                  ?>
                                  <div class="poke"  title="<?php echo $obj_article->first_name; ?> wrote the article you wanted. You have <?php echo $days_remaining; ?> days to post this."></div> 
                                  <?php } ?>   
                                  <?php if ($obj_article->status == 1 ) { 
                                        $days_remaining = 5 - $obj_article->date_approved_rem;
                                  ?>    
                                  <div class="poke"  title="The article you requested from <?php echo $obj_article->first_name; ?> has been approved . You have <?php echo $days_remaining; ?> days to post this."></div> 
                                  <?php } ?>   
                                 
                                           
                                  <?php echo $obj_article->title;?>
                                </td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <!--<td width="80">
                                  <?php echo ($obj_article->pokedate != null) ? 'Pre-Approved'  : ''?>
                                </td>-->
                                <td width="80">
                                <a class="author" id="<?php echo $obj_article->id;?>" rel="<?php echo md5($obj_article->gravatar_email); ?>" href="javascript:;"><?php echo $obj_article->first_name;?></a></td>
                                <td width="80"><?php echo str_word_count(strip_tags($obj_article->article)); ?></td>
                                <td width="50" style="text-align:center;">                                    
                                    <?php if(isset($obj_article->arc_id) && !empty($obj_article->arc_id)){?>
                                    
                                        <?php if($obj_article->arc_status == 10){?>
                                            Changes Requested
                                        <?php }else{?>
                                            <a href="admin.php?page=free-writer&act=arc&article_id=<?php echo $obj_article->id;?>&arc_id=<?php echo $obj_article->arc_id;?>&TB_iframe=true&width=980&height=620" class="thickbox">Preview</a>
                                        <?php }?>
                                    
                                    <?php }else if($obj_article->poke_id != null) { ?>
                                           <?php if($obj_article->poke_status == 0){ ?>
                                                <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_article->id;?>&id=<?php echo $obj_article->poke_id; ?>&type=poke&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                           <?php } else if($obj_article->poke_status == 2){ ?>
                                                 Declined
                                           <?php } ?>
                                    <?php }else if($obj_article->content_requests_id != null) { ?>      
                                           <?php if($obj_article->content_requests_status  == 20){ ?>
                                                <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_article->id;?>&id=<?php echo $obj_article->content_requests_id; ?>&type=content_requests&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                           <?php } else if($obj_article->content_requests_status == 30){ ?>
                                                 Declined
                                           <?php } ?>
                                           
                                    <?php } else { ?>
                                        <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_article->id;?>&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                    <?php } ?>
                                </td>
                            </tr>
                          <?php } ?>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        <!-- END Articles to Import -->
        
        <!-- Available Articles -->   
       
       <div id="table-container">
                 <h2 class="dtitle">Available Articles</h2>
            <div class="view-all-right"><a href="admin.php?page=free-writer-articles-list">View All</a></div>
  
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <!--<th width="80">Status</th>-->
                        <th width="80">Writer</th>
                        <th width="80">Word Count</th>
                        <th width="50" style="text-align:center; width:50px;">Status/Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($available_articles) > 0):?>

                        <?php 
                        $limit = 0;        
                        foreach($available_articles as $key => $obj_article):?>
                            <?php if ($limit++ < 5){ ?> 
                            <tr <?php echo (isset($obj_article->arc_id) && !empty($obj_article->arc_id)) ? 'class="requested-changes"' : null;?>>
                                <td width="30%"><?php echo ($obj_article->pokedate != null) ? '<div class="poke"  title="'.$obj_article->first_name.' poked you."></div> '  : ''?><?php echo $obj_article->title;?></td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <!--<td width="80">
                                </td>-->
                                <td width="80">
                                <a class="author2" id="<?php echo $obj_article->id;?>" rel="<?php echo md5($obj_article->gravatar_email); ?>" href="javascript:;"><?php echo $obj_article->first_name;?></a></td>
                                <td width="80"><?php echo str_word_count(strip_tags($obj_article->article)); ?></td>
                                <td width="50" style="text-align:center;">
                                    <?php if ($obj_article->approval == 'Yes' && isset($obj_article->status) && $obj_article->status == 0 ) { ?>
                                           Awaiting Writer Approval       
                                    <?php } else if ($obj_article->status == 2) { ?>
                                           Declined 
                                    <?php } else { ?>
                                      <a href="admin.php?page=free-writer&act=iframeforapproval&article_id=<?php echo $obj_article->id;?>&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                      <!--<a id="<?php echo $obj_article->id;?>" rel="<?php echo $obj_article->title; ?>" href="javascript:;" class="request_approval_link">Request Approval</a>-->
                                      <a href="#TB_inline?width=800&height=550&inlineId=requestforapproval-modal-form" class="thickbox link_request_approval"></a>
                                      <input type="hidden" class="author_id" id="<?php echo 'articleauthor_' .$obj_article->id; ?>" value="<?php echo $obj_article->user_id; ?>">
                                      
                                    <?php } ?> 
                                </td>
                            </tr>
                            <?php } ?>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        <!-- END Articles to Import -->
        
        
        <!--	Articles Requested -->
        
        <div id="table-container">
            <h2 class="dtitle">Articles I've Requested</h2>
            <div class="view-all-right"><a href="admin.php?page=free-writer-request-post">View All</a></div>
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Keywords</th>
                        <th>Date Requested</th>
                        <th>Status/Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($content_requests) > 0):?>
                      <a title="Delete this item" href="#TB_inline?width=100&height=110&inlineId=delete-modal-form" class="thickbox deletecontent">
                      
                        <?php 
                        $limit = 0;                        
                        foreach($content_requests as $key => $obj_request): ?>
                       
                          <?php if(empty($obj_request->wp_post_id)) { ?>
                           <?php if ($limit++ < 5){ ?>
                            <tr>
                                <td width="30%"><?php echo $obj_request->title;?>
                                <div class="row-actions">
                                <?php if ($obj_request->status == 20): ?>
                                <span class="edit"><a title="Edit this item" href="admin.php?page=free-writer&act=iframeeditrequest&redirect=free-writer&id=<?php echo $obj_request->id; ?>&type=content_requests&TB_iframe=true&width=600&height=550" class="thickbox">Edit</a></span></span>
                                <?php else: ?>
                                <span class="edit"><a title="Edit this item" href="admin.php?page=free-writer&act=iframeeditrequest&redirect=free-writer&id=<?php echo $obj_request->id; ?>&type=content_requests&TB_iframe=true&width=600&height=550" class="thickbox">Edit</a> | </span><span class="edit"><a title="Delete this item" href="javascript:;" class="delete" id="<?php echo $obj_request->id; ?>">Delete</a></span>
                                <?php endif; ?>
                                </div>
                                
                                </td>
                                <td width="30%"><?php echo $obj_request->category_name;?></td>
                                <td width="80"><?php echo $obj_request->keywords;?></td>
                                <td width="80"><?php echo date('m-d-Y', $obj_request->date_requested);?></td>
                                <!--<td width="80"><?php echo $obj_request->status_code;?></td>-->
                                <td width="50">
                                    <?php if($obj_request->status == 20){?>
                                      <!--<a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_request->article_id;?>&TB_iframe=true&width=980&height=580" class="thickbox">Import Post</a>-->
                                      <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_request->article_id;?>&id=<?php echo $obj_request->id; ?>&type=content_requests&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                       
                                    <?php }else{?>
                                    <?php echo $obj_request->status_code;?>
                                        <!--Link to View Request-->
                                    <?php }?>
                                </td>
                            </tr>
                            <?php } ?>
                          <?php } ?>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        
    </div>    
   
    <!-- END Articles Requested -->
        
    </div>                
    
    
    
</div><!-- .wrap -->


<?php /* FORM for importing options*/?>


<div id="author-modal-form" style="display:none" >
  <div class="authinfo">
  </div>
</div> 

<div id="delete-modal-form" style="display:none;">     
    <form method="post" style="text-align: center; padding: 20px;">
         <div>
         Are you sure you want to delete this article request?
         <input type="hidden" value="Yes" name="contentrequestid" id="contentrequestid">
         <br/>
         <input type="submit" value="Yes" name="deletecontentrequest" style="padding: 5px 15px;">
         <input type="button" value="No" name="deletecontentrequest" style="padding: 5px 15px;" onclick="javascript:self.parent.tb_remove();">
         </div>
    </form>
</div>




<script>

jQuery(document).ready(function($){

$('.request_approval_link').click(function(){
   $('#request_article_title').val($(this).attr('rel'));
   $('#request_article_id').val($(this).attr('id'))
   $('#article_request_author_id').val($('#articleauthor_'+$(this).attr('id')).val());
   $('.link_request_approval').trigger('click');
}); 

$('.delete').click(function(){            
        
    $('#contentrequestid').val($(this).attr('id'));  
    $('.deletecontent').trigger('click');
}); 

$('.author').click(function(){

    var myid = $(this).attr('id');
    var gravatar = $(this).attr('rel');
    var googleplus_url = 'https://plus.google.com';
    var twitter_url = 'http://twitter.com';
    var facebook_url = 'http://facebook.com';
    var writesabout='';
    
    var json = [ <?php echo json_encode($articles); ?> ];
    $.each(json, function() {
    $.each(this, function(name, value) {
      /// do stuff
     // console.log(name + '=' + value.first_name); 
      if (value.id == myid) {
        if(value.google_plus){
          googleplus_url = 'http://'+  value.google_plus; 
        } 
    
        if(value.twitter){
          twitter_url = 'http://'+  value.twitter; 
        } 
        
        if(value.facebook){
          facebook_url = 'http://'+ value.facebook; 
        } 
        
        if(value.bio){
          bio = value.bio;
        } else {
          bio = value.default_bio;
        }
        
        if(value.writesabout){
          writesabout = value.writesabout;
        } 
        
        
        var htmlc = '<h2>' + value.first_name + ' ' +  value.last_name + '</h2>';
        htmlc += '<div id="auth-info-content"><img src="http://www.gravatar.com/avatar/'+ gravatar +'"  />';  
        htmlc += '<div class="auth-info-right"><div class="info-right"><strong>About</strong><div class="info-right-val">'+ value.about +'</div></div><div class="info-right"><strong>Writes About</strong><div class="info-right-val">'+ writesabout +'</div></div><div class="info-right"><strong>Author Bio</strong><div class="info-right-val authorbio">'+ bio +'</div></div></div>';
        htmlc += '</div><div id="social" style="clear: both; float: right;"><div style="float: left; margin-right: 10px;">More at</div></span><a target="_blank" href="'+facebook_url+'" class="soc-button"><span class="fb"></span></a><a target="_blank" href=" '+twitter_url+'" class="soc-button"><span class="twit"></span></a><a target="_blank" href="'+googleplus_url+'" class="soc-button"><span class="gplus"></span></a></div>';
       
        $('#author-modal-form .authinfo').html(htmlc);
        $('.authlink').trigger('click');
                            
      }
      });
    });
 
});

$('.author2').click(function(){

    var myid = $(this).attr('id');
    var gravatar = $(this).attr('rel');
    var googleplus_url = 'https://plus.google.com';
    var twitter_url = 'http://twitter.com';
    var facebook_url = 'http://facebook.com';
    
    
    var json = [ <?php echo json_encode($available_articles); ?> ];
    $.each(json, function() {
    $.each(this, function(name, value) {
      /// do stuff
     // console.log(name + '=' + value.first_name); 
      if (value.id == myid) {
        if(value.google_plus){
          googleplus_url = 'http://'+  value.google_plus; 
        } 
    
        if(value.twitter){
          twitter_url = 'http://'+  value.twitter; 
        } 
        
        if(value.facebook){
          facebook_url = 'http://'+ value.facebook; 
        } 
        
        if(value.bio){
          bio = value.bio;
        } else {
          bio = value.default_bio;
        }
        
        if(value.writesabout){
          writesabout = value.writesabout;
        } 
        
        var htmlc = '<h2>' + value.first_name + ' ' +  value.last_name + '</h2>';
        htmlc += '<div id="auth-info-content"><img src="http://www.gravatar.com/avatar/'+ gravatar +'"  />';  
        htmlc += '<div class="auth-info-right"><div class="info-right"><strong>About</strong><div class="info-right-val">'+ value.about +'</div></div><div class="info-right"><strong>Writes About</strong><div class="info-right-val">'+ writesabout +'</div></div><div class="info-right"><strong>Author Bio</strong><div class="info-right-val authorbio">'+ bio +'</div></div></div>';
        htmlc += '</div><div id="social" style="clear: both; float: right;"><div style="float: left; margin-right: 10px;">More at</div></span><a target="_blank" href="'+facebook_url+'" class="soc-button"><span class="fb"></span></a><a target="_blank" href=" '+twitter_url+'" class="soc-button"><span class="twit"></span></a><a target="_blank" href="'+googleplus_url+'" class="soc-button"><span class="gplus"></span></a></div>';
      
        $('#author-modal-form .authinfo').html(htmlc);
        $('.authlink').trigger('click');
                            
      }
      });
    });
 
});

});

    
</script>