<?php

    $array_yes_or_no = array('1'=> 'Yes', '0' => 'No');

    $array_permission = array('1'=> 'Private', '0' => 'Public');
    
    add_thickbox();

?>
<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">
<div class="wrap">
    
    <div id="icon-edit-comments" class="icon32"></div>
    
    <h2>Articles I've Requested</h2>

    <br>
    
    

    <div class="alert alert-info">
        <strong>Hint:</strong> This page displays all your requested articles.
    </div>

        <a class="button-primary thickbox" href="#TB_inline?width=600&height=550&inlineId=import-modal-form">Add New Request</a>        
        
        <div id="table-container">
            
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Keywords</th>
                        <th>Date Requested</th>
                        <th>Status/Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($content_requests) > 0):?>
                        <a title="Delete this item" href="#TB_inline?width=100&height=110&inlineId=delete-modal-form" class="thickbox deletecontent">
                        <?php foreach($content_requests as $key => $obj_request): ?>
                          <?php if(empty($obj_request->wp_post_id)) { ?>
                            <tr>
                                <td width="30%"><?php echo $obj_request->title;?>
                                <div class="row-actions">
                                <?php if ($obj_request->status == 20): ?>
                                <span class="edit"><a title="Edit this item" href="admin.php?page=free-writer&act=iframeeditrequest&redirect=free-writer-request-post&id=<?php echo $obj_request->id; ?>&type=content_requests&TB_iframe=true&width=600&height=550" class="thickbox">Edit</a></span></div>
                                <?php else: ?>
                                <span class="edit"><a title="Edit this item" href="admin.php?page=free-writer&act=iframeeditrequest&redirect=free-writer-request-post&id=<?php echo $obj_request->id; ?>&type=content_requests&TB_iframe=true&width=600&height=550" class="thickbox">Edit</a> | </span><span class="edit"><a title="Delete this item" href="javascript:;" class="delete" id="<?php echo $obj_request->id; ?>">Delete</a></span></div>
                                <?php endif; ?>
                                
                                </td>
                                <td width="30%"><?php echo $obj_request->category_name;?></td>
                                <td width="80"><?php echo $obj_request->keywords;?></td>
                                <td width="80"><?php echo date('m-d-Y', $obj_request->date_requested);?></td>
                                <!--<td width="80"><?php echo $obj_request->status_code;?></td>-->
                                <td width="50">
                                    <?php if($obj_request->status == 20){?>
                                      <!--<a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_request->article_id;?>&TB_iframe=true&width=980&height=580" class="thickbox">Import Post</a>-->
                                      <a href="admin.php?page=free-writer&act=iframe&article_id=<?php echo $obj_request->article_id;?>&id=<?php echo $obj_request->id; ?>&type=content_requests&TB_iframe=true&width=980&height=580" class="thickbox">Preview</a>
                                     
                                    <?php }else{?>
                                    <?php echo $obj_request->status_code;?>
                                        <!--Link to View Request-->
                                    <?php }?>
                                </td>
                            </tr>
                            <?php } ?>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        
    </div>    
   
</div><!-- .wrap -->


<?php /* FORM for importing options*/?>

<div id="delete-modal-form" style="display:none;">     
    <form method="post" style="text-align: center; padding: 20px;">
         <div>
         Are you sure you want to delete this article request?
         <input type="hidden" value="Yes" name="contentrequestid" id="contentrequestid">
         <br/>
         <input type="submit" value="Yes" name="deletecontentrequest" style="padding: 5px 15px;">
         <input type="button" value="No" name="deletecontentrequest" style="padding: 5px 15px;" onclick="javascript:self.parent.tb_remove();">
         </div>
    </form>
</div>



<div id="import-modal-form" style="display:none;">

    <h2><div id="icon-edit-pages" class="icon32"></div>Request Options</h2>

    <form method="post">

        <br>
        
        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Post Topic / Subject</h3>

                <div class="inside">               
                    <select name="category_id" id="category_id" style="width:200px;">
                      <?php echo htmlOptions($api_categories, null);?>
                    </select>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->
        
        <br>
        
        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Title</h3>

                <div class="inside">
                    <input type="text" style="width:500px;" name="title" id="title"><br>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>       

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Keywords</h3>

                <div class="inside">
                    <input type="text" style="width:500px;" name="keywords" id="keywords"><br>
                    <em style="font-size:10px;">comma separated</em>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->
        
         <br>       

        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>No. of Words</h3>

                <div class="inside">
                    <input type="text" style="width:500px;" name="number_of_words" id="number_of_words"><br>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->

        <br>        
        
        <div  class="metabox-holder">

            <div id="dashboard_right_now" class="postbox ">

                <h3>Additional Remarks</h3>

                <div class="inside">
                    <textarea  style="width: 100%;height:80px;" name="additional_remarks" id="additional_remarks"></textarea>
                </div>

            </div><!-- .postbox -->

        </div><!-- .metabox-holder -->
               
        <br>
      
        <div style="text-align:right;">

            <input class="button-primary" type="submit" name="request_content" id="request_content" value="Request Article">

        </div>

    </form>

</div>

<script>

jQuery(document).ready(function($){

$('.delete').click(function(){            
        
    $('#contentrequestid').val($(this).attr('id'));  
    $('.deletecontent').trigger('click');
}); 

});


</script>