<?php add_thickbox(); ?>

<link rel="stylesheet" type="text/css" href="<?php echo $this->plugin_url;?>res/css/ghost_writer.css">

<div class="wrap">
    
    <div id="icon-themes" class="icon32"></div>
    
    <h2>Search Results</h2>

    <div class="table-wrapper">
        
        <span style="font-size:15px; font-weight: bold;">Search Criteria:</span>
        
        <div class="well well-small" style="width: 500px;">
            <table>
                <tr>
                    <td align="right">Search By:</td>
                    <td><strong><?php echo $search_criteria->search_by_label;?></strong></td>
                </tr>
                <tr>
                    <td align="right">Search Keyword:</td>
                    <td><strong><?php echo $search_criteria->keyword;?></strong></td>
                </tr>
                <tr>
                    <td align="right">Number of result:</td>
                    <td><strong><?php echo count($articles);?></td>
                </tr>
            </table>

        </div>
        
        <div id="table-container">
            
            <table class="widefat" id="list-table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Tags</th>
                        <th width="80">Permission</th>
                        <th width="80">Author</th>
                        <th width="50" style="text-align:center; width:50px;">Action</th>
                    </tr>
                </thead>

                <tbody>

                    <?php if(count($articles) > 0):?>

                        <?php foreach($articles as $key => $obj_article):?>
                            <tr>
                                <td width="30%"><?php echo $obj_article->title;?></td>
                                <td width="30%"><?php echo $obj_article->category_name;?></td>
                                <td width="80"><?php echo $obj_article->tags;?></td>
                                <td width="80"><?php echo $obj_article->permission;?></td>
                                <td width="80"><?php echo $obj_article->first_name;?></td>
                                <td width="50" style="text-align:center;">
                                    <a href="admin.php?page=free-writer-view-article&article_id=<?php echo $obj_article->id;?>">Import Post</a>
                                </td>
                            </tr>
                        <?php endforeach;?>

                    <?php else:?>

                        <tr><td colspan="5">No Articles Found</td></tr>

                    <?php endif;?>

                </tbody>

            </table>
        </div>
        
    </div>
    
    
    
</div><!-- .wrap -->